Package net.shibboleth.idp.attribute.resolver.spring.dc.storage.impl

# Class StorageServiceDataConnectorParser.V2Parser

java.lang.Object
net.shibboleth.idp.attribute.resolver.spring.dc.storage.impl.StorageServiceDataConnectorParser.V2Parser

Enclosing class:
  StorageServiceDataConnectorParser

protected static class StorageServiceDataConnectorParser.V2Parser extends Object
Utility class for parsing v2 schema configuration.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Element`
`configElement`
Base XML element.
`private final org.slf4j.Logger`
`log`
Class logger.
`private final String`
`logPrefix`
Parent parser's log prefix.

## Constructor Summary

Constructors
Constructor
Description
`V2Parser(Element config, String prefix)`
Creates a new V2Parser with the supplied element.

## Method Summary

Modifier and Type
Method
Description
`BeanDefinition`
`createCache(ParserContext parserContext)`
Create the results cache.
`BeanDefinition`
`createMappingStrategy(String id)`
Create the scripted result mapping strategy.
`BeanDefinition`
`createTemplateBuilder()`
Create the definition of the search builder.
`String`
`getBeanMappingStrategyID()`
Get the bean ID of an externally defined mapping strategy.
`String`
`getBeanSearchBuilderID()`
Get the bean ID of an externally defined search builder.
`private String`
`getLogPrefix()`
The parent parser's log prefix.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### configElement

@Nonnull private final Element configElement
Base XML element.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### logPrefix

@Nonnull @NotEmpty private final String logPrefix
Parent parser's log prefix.

## Constructor Details

### V2Parser

public V2Parser(@Nonnull Element config, @Nonnull @NotEmpty String prefix)
Creates a new V2Parser with the supplied element.

Parameters:
  `config` - StorageService DataConnector element
  `prefix` - the parent parser's log prefix.

## Method Details

### getBeanSearchBuilderID

@Nullable public String getBeanSearchBuilderID()
Get the bean ID of an externally defined search builder.

Returns:
  search builder bean ID

### createTemplateBuilder

@Nullable public BeanDefinition createTemplateBuilder()
Create the definition of the search builder.

Returns:
  the bean definition for the search builder, or null

### getBeanMappingStrategyID

@Nullable public String getBeanMappingStrategyID()
Get the bean ID of an externally defined mapping strategy.

Returns:
  mapping strategy bean ID

### createMappingStrategy

@Nullable public BeanDefinition createMappingStrategy(@Nullable String id)
Create the scripted result mapping strategy.

Parameters:
  `id` - the ID of the
Returns:
  mapping strategy

### createCache

@Nullable public BeanDefinition createCache(@Nonnull ParserContext parserContext)
Create the results cache. See `CacheConfigParser`.

Parameters:
  `parserContext` - bean parser context
Returns:
  results cache

### getLogPrefix

@Nonnull @NotEmpty private String getLogPrefix()
The parent parser's log prefix.

Returns:
  the log prefix.